require( "scripts/style.lua" );

MakeDialog
{
	-- Name the modal dialog
	name="creditswindow",
	--Bitmap
	--{
		x = kCenter, y = kCenter,

		CreditsWindow
		{
			x = 0, y = 140,
			w = 700, h = 380,
			font = standardFont,
			fontsize = 20,
			fontcolor = BlackColor,
			headercolor = DarkBlueColor,
			columngap = 1,
			columnwidth = 500,
			time = 100000, 		-- Time to play credits in milliseconds
			intropause = 5000, 	-- Time to pause credits at start, in ms
			file = "credits/credits.txt",
		},


		Button
		{
			x = kCenter,
			y = 545,
			name="back",
			parent = DefaultStyle,
			type= kPush,
			graphics = {"backgrounds/credits/b_ok",	"backgrounds/credits/b_ok_pressed",	"backgrounds/credits/b_ok_mouseover"},
			command =
				function()
					PlayGSound("butt");
					CloseAddBox();
					PopModal("creditswindow");
				end
		};
	--},
}